Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516518 - Update downstream patch nss-3.16-token-init-race.patch for NSS 3.34+
Summary: Update downstream patch nss-3.16-token-init-race.patch for NSS 3.34+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss
Version: 6.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Bob Relyea
QA Contact: Stefan Dordevic
URL:
Whiteboard:
Depends On:
Blocks: 1485481
TreeView+ depends on / blocked
 
Reported: 2017-11-22 19:45 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2018-06-19 05:10 UTC (History)
7 users (show)

Fixed In Version: nss-3.34.0-3.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-19 05:10:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1054373 None None None 2018-01-03 15:42:51 UTC
Red Hat Product Errata RHEA-2018:1865 None None None 2018-06-19 05:10:28 UTC

Description Kai Engert (:kaie) (inactive account) 2017-11-22 19:45:31 UTC
We have a downstream patch that is no longer compatible with NSS 3.34+

The original issue hasn't been fixed upstream yet, the downstream fix is still required.

We must develop an updated downstream patch.

This blocks the rebase of NSS for Firefox 58, bug 1485481.

Original upstream bug related to the old patch:
  https://bugzilla.mozilla.org/show_bug.cgi?id=1054373

Recent upstream bug that caused the old patch to become incompatible:
  https://bugzilla.mozilla.org/show_bug.cgi?id=1379273

Comment 2 Bob Relyea 2017-12-05 01:35:55 UTC
I've attached an untested patch to upstream bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1054373 which implements my suggestion in comment  https://bugzilla.mozilla.org/show_bug.cgi?id=1054373#c22

Comment 14 errata-xmlrpc 2018-06-19 05:10:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1865


Note You need to log in before you can comment on or make changes to this bug.